/* step4 リンゴ（林檎）の落下 　*/
#include "dm4.h"

dmObject apple;  // リンゴ

void command(int cmd)
{
   printf("Input %d\n", cmd);
}

void simLoop(int pause)           /***  シミュレーションループ　***/
{
    dmWorldStep(); // シミュレーションを１ステップ進める
    dmDraw(apple);   // リンゴの描画
}

int main()   /*** main関数 ***/
{
    double p1[3] = {0.0, 0.0, 2.0}; // 位置
    double R[12] = {1,0,0,0, 0,1,0,0, 0,0,1,0}; // 姿勢

    double red[3]    = {1.0, 0.0, 0.0};
    double r = 0.2, m = 1.0;  // 半径,質量

    dmInit(); // 初期化

    dmCreateSphere(&apple, p1, R, m, r, red); // 球の作成

    dmLoop(800, 600, simLoop, command);  // ウインドウの幅，高, ループ関数，コマンド関数

    dmClose(); // 終了

    return 0;
}




